OGRE: Ogre::MapRange< T > Struct Template Reference - OGRE Documentation

Public Types | Public Member Functions

# Ogre::MapRange< T > Struct Template Reference

Predefined type. More...

`#include <OgreIteratorRange.h>`

Inheritance diagram for Ogre::MapRange< T >:
[legend]

List of all members.

## Public Types
typedef T | iterator
| typedef to fulfill container interface
typedef T | const_iterator
| typedef to fulfill container interface
typedef iterator_range< T > | type
| defines the real used type
## Public Member Functions
| MapRange (T &c)
| Constructor.
| MapRange (typename T::iterator b, typename T::iterator e)
| Constructor.
bool | operator== (const MapRange &rhs) const
| comparison operator for equality
bool | operator!= (const MapRange &rhs) const
| comparison operator for inequality
T | begin () const
| access to the begin of the range
T | end () const
| access to the end of the range
bool | empty () const
| informs if there are any elements in the range
bool | equal (const iterator_range &other) const
| comparison for equality
bool | operator== (const iterator_range &rhs) const
| comparison operator for equality
bool | operator!= (const iterator_range &rhs) const
| comparison operator for inequality

## Detailed Description

### template<typename T>
struct Ogre::MapRange< T >

Predefined type.

Parameters:

  | T | iterator type

compatility class for MapIterator

Definition at line 228 of file OgreIteratorRange.h.

## Member Typedef Documentation

template<typename T>

typedef T Ogre::iterator_range< T >::const_iterator`[inherited]`

typedef to fulfill container interface

Note:
  there is no distinction between const_iterator and iterator.

Definition at line 99 of file OgreIteratorRange.h.

template<typename T>

typedef T Ogre::iterator_range< T >::iterator`[inherited]`

typedef to fulfill container interface

Note:
  there is no distinction between const_iterator and iterator.

Definition at line 91 of file OgreIteratorRange.h.

template<typename T>

typedef iterator_range<T> Ogre::iterator_range< T >::type`[inherited]`

defines the real used type

type will be defined as Ogre::iterator_range if not used with boost
otherwise the type will be boost::iterator_range

Definition at line 106 of file OgreIteratorRange.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::MapRange< T >::MapRange | ( | T & | c | ) |

Constructor.

Remarks:
  Provide a container to initialise.

Definition at line 234 of file OgreIteratorRange.h.

template<typename T>

Ogre::MapRange< T >::MapRange | ( | typename T::iterator | b,
|  | typename T::iterator | e |
| ) |  |  |

Constructor.

Remarks:
  Provide a start and end iterator to initialise.

Definition at line 242 of file OgreIteratorRange.h.

## Member Function Documentation

template<typename T>

T Ogre::iterator_range< T >::begin | ( |  | ) | const`[inherited]`

access to the begin of the range

Definition at line 66 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::mBegin.

template<typename T>

bool Ogre::iterator_range< T >::empty | ( |  | ) | const`[inherited]`

informs if there are any elements in the range

Definition at line 72 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::mBegin, and Ogre::iterator_range< T >::mEnd.

template<typename T>

T Ogre::iterator_range< T >::end | ( |  | ) | const`[inherited]`

access to the end of the range

Definition at line 69 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::mEnd.

template<typename T>

bool Ogre::iterator_range< T >::equal | ( | const iterator_range< T > & | other | ) | const`[inherited]`

comparison for equality

Definition at line 75 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::mBegin, and Ogre::iterator_range< T >::mEnd.

Referenced by Ogre::ConstMapRange< T >::operator!=(), Ogre::MapRange< T >::operator!=(), Ogre::ConstVectorRange< T >::operator!=(), Ogre::VectorRange< T >::operator!=(), Ogre::ConstMapRange< T >::operator==(), Ogre::MapRange< T >::operator==(), Ogre::ConstVectorRange< T >::operator==(), Ogre::VectorRange< T >::operator==(), and Ogre::iterator_range< T >::operator==().

template<typename T>

bool Ogre::iterator_range< T >::operator!= | ( | const iterator_range< T > & | rhs | ) | const`[inherited]`

comparison operator for inequality

Definition at line 83 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::operator==().

template<typename T>

bool Ogre::MapRange< T >::operator!= | ( | const MapRange< T > & | rhs | ) | const

comparison operator for inequality

Definition at line 249 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::equal().

template<typename T>

bool Ogre::iterator_range< T >::operator== | ( | const iterator_range< T > & | rhs | ) | const`[inherited]`

comparison operator for equality

Definition at line 79 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::equal().

Referenced by Ogre::iterator_range< T >::operator!=().

template<typename T>

bool Ogre::MapRange< T >::operator== | ( | const MapRange< T > & | rhs | ) | const

comparison operator for equality

Definition at line 247 of file OgreIteratorRange.h.

References Ogre::iterator_range< T >::equal().

The documentation for this struct was generated from the following file:

- OgreIteratorRange.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56